/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               Dicos.hh
*               --------
*
*   Auteur : Vincent Fouache
*   Date de création : 30 Octobre 2008
*   Dernières modifications : 01/11/2008
*
*   Description :
*   Gère les dictionnaires d'anglais et de français
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_DICOS
#define HEADER_DICOS

#include <QtGui>


enum Langue
{
    FR, EN, BOTH
};

enum Tri
{
    CROISSANT, DECROISSANT
};


class Dicos
{
    public:
        Dicos();
        int fileToDicos();
        QString getFr(const int i) const;
        QString getEn(const int i) const;
        int taille() const;
        bool setTrad(const int i, const QString &str, const Langue lang);
        void delTrad(const int i, const Langue lang);
        void toFile();
        void trier(const Tri tri, const bool casse);
        int indexOf(const QRegExp &re, const int i, const Langue lang);
        QChar getSeparation() const;

    private:
        // Dico Français
        QStringList fr;
        // Dico Anglais
        QStringList en;

        // Motif de séparation ds le fichier dico.txt
        QChar separation;
};

#endif

