/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               FenAbout.hh
*               -----------
*
*   Auteur : Vincent Fouache
*   Date de création : 24 Octobre 2008
*   Dernières modifications : 04/11/08
*
*   Description :
*   Gère la fenêtre "A propos de vEnglish"
*       - Informations diverses (auteur, version, date,...)
*       - Licence
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_FENABOUT
#define HEADER_FENABOUT

#include <QtGui>


class FenAbout : public QDialog
{
    public:
        FenAbout(QWidget *parent);

    private:
        void creerOngletInformations();
        void creerOngletProprietes();
        void creerOngletLicence();
        void creerConteneur();



        QTextEdit *ongletInformations;
        QLabel *ongletProprietes;
        QWidget *ongletLicence;

        QVBoxLayout *layoutPrincipal;
};

#endif

