/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               FenInterro.hh
*               -------------
*
*   Auteur : Vincent Fouache
*   Date de création : 29 Octobre 2008
*   Dernières modifications : 09/12/2008
*
*   Description :
*   Gère la fenêtre des interros
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_FENINTERRO
#define HEADER_FENINTERRO

#include <QtGui>
#include <time.h>
#include "Dicos.hh"
#include "Preferences.hh"


class FenInterro : public QDialog
{
    Q_OBJECT

    public:
        FenInterro(const Dicos &dicosP, const Preferences &prefP);

    private slots:
        void corriger();

    private:
        void creerInterro();
        void keyPressEvent(QKeyEvent *event);



        // Boutons
        QPushButton *boutonCorriger;
        QPushButton *boutonAbandonner;

        // Interro
        QWidget *interro;
        QLabel *icones;
        QLabel *questions;
        QLineEdit *reponses; // Réponses de l'utilisateur
        QLabel *corrections; // Vraies réponses

        // Note et observations
        QLabel *labelNote;
        QLabel *labelCommentaire;

        // Les dicos Anglais et Français
        Dicos dicos;

        // Les préférences
        Preferences pref;

        // Pour savoir si la correction a été faite ou non
        bool isCorriger;
};

#endif
