/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               FenRecherche.hh
*               ---------------
*
*   Auteur : Vincent Fouache
*   Date de création : 31 Octobre 2008
*   Dernières modifications : 05/11/08
*
*   Description :
*   Fenêtre de paramétrage du logiciel
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_FENPREFERENCES
#define HEADER_FENPREFERENCES

#include <QtGui>
#include "Preferences.hh"


class FenPreferences : public QDialog
{
    Q_OBJECT

    public:
        FenPreferences(const Preferences &prefP, const int tailleDicoP, QWidget *parent);
        Preferences getPref();
        bool isOk();

    private slots:
        void activerOrdre(bool coche);
        void valider();
        void mettreDefaut();

    private:
        void creerOngletGeneral();
        void creerOngletInterros();
        void creerConteneur();



        QVBoxLayout *layoutPrincipal;

        QWidget *ongletGeneral;
        QWidget *ongletInterros;

        // Préférences
        Preferences pref;

        // Si l'utilisateur a cliqué sur OK
        bool ok;

        // taille du dico
        int tailleDico;

        // Général
        QComboBox *colonneGauche;
        QSpinBox *largeurColonne;
        QComboBox *tailleTexte;
        QCheckBox *triAuto;
        QComboBox *ordre;
        QCheckBox *respecterCasse;
        QCheckBox *confirmSuppr;

        // Interos
        QSpinBox *nbMots;
        QSpinBox *noteSur;
        QCheckBox *commentaire;
        QCheckBox *respecterCasseInterros;
        QCheckBox *confirmSiPasFinie;
        QComboBox *langQuestions;
        QCheckBox *parenthesesExclues;
        QCheckBox *toExclus;
};

#endif

