/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********** ********* *\
*
*               FenPrincipale.hh
*               ----------------
*
*   Auteur : Vincent Fouache
*   Date de création : 23 Octobre 2008
*   Dernières modifications : 04/11/08
*
*   Description :
*   Gère la fenêtre principale du logiciel
*
\* ********** ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_FENPRINCIPALE
#define HEADER_FENPRINCIPALE

#include <QtGui>
#include "FenRecherche.hh"
#include "FenInterro.hh"
#include "FenPreferences.hh"
#include "FenAbout.hh"
#include "Dicos.hh"
#include "Preferences.hh"


class FenPrincipale : public QMainWindow
{
    Q_OBJECT


    public:
        FenPrincipale();


    private slots:
        void modifierTableau(int ligne, int colonne);
        void ajouterLigne();
        void supprimerLigne();
        void recharger();
        void save();
        void trierAZ();
        void trierZA();
        void rechercher();
        void preferences();
        void genererInterro();
        void quitter();
        void about();


    private:
        void creerTableau();
        void creerFormulaire();
        bool validerFormulaire();
        void creerActions();
        void creerMenus();
        void keyPressEvent(QKeyEvent *event);
        bool fileToLists();
        void remplirTableau();
        void actualiserTableau();
        void appliquerPreferencesAffichage();
        void closeEvent(QCloseEvent* event);



        // Zone principale
        QWidget *zoneCentrale;

        // Layout de mise en place finale
        QVBoxLayout *layoutPrincipal;

        // Actions des menus
        QAction *actionRecharger;
        QAction *actionSave;
        QAction *actionImprimer;
        QAction *actionQuitter;
        QAction *actionTrierAZ;
        QAction *actionTrierZA;
        QAction *actionRechercher;
        QAction *actionSupprimer;
        QAction *actionPreferences;
        QAction *actionGenInt;
        QAction *actionGenIntImp;
        QAction *actionAide;
        QAction *actionAbout;

        // Champs d'ajout ds le dico
        QLineEdit *fr;
        QLineEdit *en;

        // Tableau d'affichage du dico
        QTableWidget *tableau;

        // Indique si il y a eu des modifications
        // i.e. si on doit demander si l'utilisateur veut enregistrer avant de quitter
        bool modif;

        // Les dicos Anglais et Français
        Dicos dicos;

        // Préférences
        Preferences pref;
};

#endif
