/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               FenRecherche.hh
*               ---------------
*
*   Auteur : Vincent Fouache
*   Date de création : 27 Octobre 2008
*   Dernières modifications : 04/11/08
*
*   Description :
*   Gère la fenêtre de recherche
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_FENRECHERHCE
#define HEADER_FENRECHERCHE

#include <QtGui>
#include "Dicos.hh"


class FenRecherche : public QDialog
{
    Q_OBJECT

    public:
        FenRecherche(const Dicos &dicosP, QWidget *parent);

    private slots:
        void rechercher();

    private:
        int index(Langue lang);



        QLineEdit *recherche;
        QComboBox *lieu;
        QCheckBox *casse;
        QRadioButton *partieMot;
        QRadioButton *entierMot;
        QRadioButton *debutMot;
        QRadioButton *finMot;

        QRegExp regex;

        // Résultat de la recherche (QString affiché ds le mess de sortie)
        QString resultat;

        // Les dicos Anglais et Français
        Dicos dicos;
};

#endif

