/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               Preferences.cc
*               --------------
*
*   Auteur : Vincent Fouache
*   Date de création : 31 Octobre 2008
*   Dernières modifications : 05/11/08
*
*   Description : Gère les préférences du logiciel
*
\* ********** ********** ********** ********** ********** ********* */

#ifndef HEADER_PREFERENCES
#define HEADER_PREFERENCES

#include "Dicos.hh"

#define LGCOLMIN 0
#define LGCOLMAX 500
#define SIZETEXTMIN 0
#define SIZETEXTMAX 3
#define NOTESURMIN 1
#define NOTESURMAX 10000


class Preferences
{
    public:
        Preferences();
        bool lire();
        void save
        (
            int colGauche, int largeurColonnes, int tailleTexte,
            bool triAuto, int triOrdre, bool triCasse,
            bool confirmSuppr,
            int nbMots, int noteSur, bool commentaire,
            bool respecterCasse, bool confirmSiPasFinie,
            bool parenthesesExclues, bool toExclus, int langQuestions
        );
        void assignerDefauts();
        void save(int nbMots);

        // Accesseurs
        Langue getColGauche() const;
        int getLargeurColonnes() const;
        int getTailleTexte() const;
        bool getTriAuto() const;
        Tri getTriOrdre() const;
        bool getTriCasse() const;
        bool getConfirmSuppr() const;
        int getNbMots() const;
        int getNoteSur() const;
        bool getCommentaire() const;
        bool getResperterCasse() const;
        bool getConfirmSiPasFinie() const;
        bool getParenthesesExclues() const;
		bool getToExclus() const;
		Langue getLangQuestions() const;


    private:
        Langue toLangue(const int x);
        Tri toTri(const int x);
        bool toBool(const int x);
        int comprisEntre(const int a, const int b, const int nb);



        Langue p_colGauche; // Langue de la colonne située à gauche
        int p_largeurColonnes;
        int p_tailleTexte;
        bool p_triAuto;
        Tri p_triOrdre;
        bool p_triCasse; // Respect de la casse ds le tri
        bool p_confirmSuppr;
        int p_nbMots;
        int p_noteSur; // Interros notée sur combien
        bool p_commentaire; // Commentaire des interros
        bool p_respecterCasse;
        bool p_confirmSiPasFinie; // Confirmation de correction si l'interro n'est pas finie
        bool p_parenthesesExclues; // On exclue ce qu'il y a entre parenthèse lors de la correct°
		bool p_toExclus; // On exclue les "to" lors de la correct°
		Langue p_langQuestions;
};

#endif
