/*****************************************************************************************
**
** vEnglish - French-English Dictionary and more !
** Contact : vin.fouache@free.fr
**
** Copyright (C) 2008  Vincent Fouache
**
** This file is part of vEnglish.
**
** vEnglish is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>
**
***************************************************************************************/


/* ********** ********** ********** ********** ********** ********* *\
*
*               main.cc
*               -------
*
*   Auteur : Vincent Fouache
*   Date de cration : 23 Octobre 2008
*   Dernires modifications : 28/10/08
*
*   Description : Fonction principale
*
\* ********** ********** ********** ********** ********** ********* */

#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QLibraryInfo>
#include <QTextCodec>
#include "FenPrincipale.hh"


int main(int argc, char* argv[])
{
    QApplication app(argc, argv);

    // Pour la traduction des menus contextuels
    QString locale = QLocale::system().name();
    QTranslator translator;
    translator.load("qt_fr.qm");
    app.installTranslator(&translator);


    // Pour l'encodage
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));

    FenPrincipale fenetre;
    fenetre.show();

    return app.exec();
}
